# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.409   -> 1.410  
#	drivers/usb/printer.c	1.11    -> 1.12   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/03	oliver@oenone.homelinux.org	1.410
# [PATCH] devfs race fix
# 
# USB printer devfs race fix
# --------------------------------------------
#
diff -Nru a/drivers/usb/printer.c b/drivers/usb/printer.c
--- a/drivers/usb/printer.c	Fri May  3 14:51:34 2002
+++ b/drivers/usb/printer.c	Fri May  3 14:51:34 2002
@@ -801,6 +801,7 @@
 	usblp_check_status(usblp, 0);
 #endif
 
+	usblp_table[usblp->minor] = usblp;
 	/* If we have devfs, create with perms=660. */
 	sprintf(name, "lp%d", usblp->minor);
 	usblp->devfs = devfs_register(usb_devfs_handle, name,
@@ -816,7 +817,7 @@
 		usblp->current_protocol, usblp->dev->descriptor.idVendor,
 		usblp->dev->descriptor.idProduct);
 
-	return usblp_table[usblp->minor] = usblp;
+	return usblp;
 
 abort:
 	if (usblp) {
